package com.heartland.imagegame;

public class DtTestPointDriver {
    //-------------------------------------------------------------------------
    //  DynamicTracar MaskCode
    //-------------------------------------------------------------------------
	static public final int DT_VARIABLE_BIT			=	0x02;				/* Memory Dump MASK */
	static public final int DT_EVTTRG_BIT			=	0x08;				/* EventTrigger MASK */
    
    static public DTDrvEthJNI jni = new DTDrvEthJNI();

    static public final void DtCloseSocket() {
    	jni.TPCloseSocket();
    }
	//-------------------------------------------------------------------------
    //  TestPoint InsertCode Method
    //-------------------------------------------------------------------------
    /* Normal TestPoint Method */
    static public final void DtTestPoint(int nBaseAddress, int nStepNumber){
    	TpBusOut( nBaseAddress, nStepNumber);
    }

    /* Performance TestPoint Method */
    static public final void DtTestPointIdle(int nIdleAddress, int nStepNumber){
        /* Call DynamicTracerDriver */
        TpBusOut(nIdleAddress, nStepNumber);
    }

    /* EventTrigger TestPoint Method */
    static public final void DtTestPointEventTrigger(int nBaseAddress, int nStepNumber, int theValue){
        /* Call DynamicTracerDriver */
        TpEventTrigger(nBaseAddress, theValue);
    }

    /* MemoryOutput TestPoint Method */
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, byte theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, char theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, short theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, int theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 4);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, long theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 8);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, boolean theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, byte[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, char[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, short[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, int[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 4, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, long[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 8, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, boolean[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1, nLength);
    }

    /* Normal TestPoint Method */
    static public final void TpBusOut(int nAddress, int nData){
    	jni.TPBusOut(nAddress, nData);
    }

    /* EventTrigger TestPoint Method */
    static public final void TpEventTrigger(int nAddress, int nData){
        /* DynamicTracerDriver */
    	TpBusOut( nAddress | DT_EVTTRG_BIT , (int)(nData & 0xfff) << 4);
    }

    /* MemoryOutput TestPoint Method */
/*    static public final void TP_MemoryOutput(int nAddress, int nData, byte theValue){
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)(theValue & 0xff) << 8);
    }
    static public final void TP_MemoryOutput(int nAddress, int nData, char theValue){
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)(theValue & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 8) & 0xff) << 8);
    }
    static public final void TP_MemoryOutput(int nAddress, int nData, short theValue){
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)(theValue & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 8) & 0xff) << 8);
    }
    static public final void TP_MemoryOutput(int nAddress, int nData, int theValue){
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)(theValue & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 8) & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 16) & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 24) & 0xff) << 8);
    }
    static public final void TP_MemoryOutput(int nAddress, int nData, long theValue){
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)(theValue & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 8) & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 16) & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 24) & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 32) & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 40) & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 48) & 0xff) << 8);
        TpBusOut( nAddress | DT_DUMPING_MASK , (int)((theValue >> 56) & 0xff) << 8);
    }
    static public final void TP_MemoryOutput(int nAddress, int nData, boolean theValue){
      	TpBusOut( nAddress | DT_DUMPING_MASK , theValue?0x0100:0x0000 );
    }*/
}
